Bug 100950 - [UI] Undo causes slide preview selection to be lost
Summary: [UI] Undo causes slide preview selection to be lost
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: low trivial
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Slide-Page-Pane Undo-Redo Selection
  Show dependency treegraph
 
Reported: 2016-07-16 10:02 UTC by szotsaki
Modified: 2017-11-21 15:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Demonstration slide (155.71 KB, application/vnd.oasis.opendocument.presentation)
2016-07-16 10:02 UTC, szotsaki
Details
Bibisect log (2.91 KB, text/plain)
2017-11-14 19:01 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description szotsaki 2016-07-16 10:02:25 UTC
Created attachment 126232 [details]
Demonstration slide

1. Open the attached .odp and make sure that the first slide is selected in slide preview on the left.
2. Select the word "Copy".
3. Press the following in order: Ctrl+C, Ctrl+V, Ctrl+Z.

The slide is de-selected in the slide preview.
Comment 1 Buovjaga 2016-07-18 06:44:41 UTC
Reproduced.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: ab1b351840160655a9f0caedbb35e9fdf203c5a0
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on July 16th 2016
Comment 2 QA Administrators 2017-09-01 11:18:06 UTC Comment hidden (obsolete)
Comment 3 Thomas Lendo 2017-09-04 20:16:40 UTC
I can only reproduce if I insert more than 1 additional slide and undo it.

Version: 6.0.0.0.alpha0+
Build ID: bfd8a4e22fe584939f67b64c9c9495a466b16576
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-21_00:52:56
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 4 Telesto 2017-11-14 19:01:25 UTC
Created attachment 137756 [details]
Bibisect log

Repro with:
Version: 6.0.0.0.alpha1+
Build ID: b3f1d199a72ce87cb65ddaeac922564f57da6a4d
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-11-06_00:10:53
Locale: nl-NL (nl_NL); Calc: CL

I also bisected this one. Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-05-17 19:34:31 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-05-18 11:54:38 (GMT)
commit	a0de7474400ae0a84daf688de12c9344d028df93 (patch)
tree	2b36ffe1989d08d962fa0ca2fb59c6f36a98da45
parent	e226c19e9136dda366c1485a9d53a0c5d433387c (diff)
move the KeepSlideSorterInSyncWithPageChanges to a level lower
so that is a SlideSorter is present it is kept in sync on
undo/redo. regardless of whether focus is in the SlideSorter
or in the main shell.
Comment 5 Buovjaga 2017-11-15 08:21:23 UTC
Caolán: a small undo glitch apparently happened with KeepSlideSorterInSyncWithPageChanges
Comment 6 Commit Notification 2017-11-21 15:42:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a05fe3a8cfd4ec420eb6969d98f64e4308f14230

Resolves: tdf#100950 only update page selection if pages changed

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.